%global dlrn_nvr 2.5.2-0.20181013125935.f8d3fd2
%global dlrn 1
%define upstream_version 2.5.2
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           puppet-ceph
Version: 2.5.2
Release: 1%{?dist}
Summary:        Community Developed Ceph Module
License:        ASL 2.0

URL:            https://launchpad.net/puppet-ceph

Source0: https://tarballs.openstack.org/%{name}/%{name}-%{version}.tar.gz
#patches_ignore=DROP-IN-RPM
#patches_base=2.5.2
Patch0001: 0001-Revert-Adjust-whitespace-in-metadata.json.patch
Patch0002: 0002-Allow-setting-pool-application-tag-as-supported-from.patch
Patch0003: 0003-Update-min-tox-version-to-2.0.patch
Patch0004: 0004-Convert-spec-testing-to-use-rspec-puppet-facts.patch
Patch0005: 0005-Fix-stdlib-version-in-metadata.patch
Patch0006: 0006-Remove-ceph-rgw-apache_fastcgi.patch
Patch0007: 0007-Change-openstack-dev-to-openstack-discuss.patch
Patch0008: 0008-Supply-hrefs-for-table-of-contents-according-to-cont.patch
Patch0009: 0009-Allow-setting-explicit-osd-type-as-well-as-wal-and-d.patch
Patch0010: 0010-Fix-minor-typo-in-ceph-disk-params.patch
Patch0011: 0011-Do-not-enable-Ceph-el7-repos-for-Fedora.patch
Patch0012: 0012-Do-not-check-for-ldap-secret-with-Fedora-and-RedHat-.patch
Patch0013: 0013-Add-support-for-encrypted-OSDs.patch
Patch0014: 0014-Modify-puppet-version-4-to-5.patch

BuildArch:      noarch

#Requires:       puppet-apt
Requires:       puppet-apache
Requires:       puppet-concat
Requires:       puppet-inifile
Requires:       puppet-stdlib
Requires:       puppet-openstacklib
Requires:       puppet-keystone
Requires:       puppet >= 2.7.0

%description
Community Developed Ceph Module

%prep
%setup -q -n openstack-ceph-%{version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1
%patch0010 -p1
%patch0011 -p1
%patch0012 -p1
%patch0013 -p1
%patch0014 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/ceph/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/ceph/



%files
%{_datadir}/openstack-puppet/modules/ceph/


%changelog
* Mon Feb 18 2019 Steve Linabery <slinaber@redhat.com> 2.5.2-1
- Update to 2.5.2
- Modify puppet version 4 to 5
- Add support for encrypted OSDs
- Do not check for ldap secret with Fedora and RedHat > 7
- Do not enable Ceph el7 repos for Fedora
- Fix minor typo in ceph-disk params.
- Allow setting explicit osd type as well as wal and db locations.
- Supply hrefs for table of contents according to context
- Change openstack-dev to openstack-discuss
- Remove ceph::rgw::apache_fastcgi
- Fix stdlib version in metadata
- Convert spec testing to use rspec-puppet-facts
- Update min tox version to 2.0
- Allow setting pool application tag as supported from the Luminous release.
- Revert "Adjust whitespace in metadata.json"


